Bug 134465 - Kudzu doesn't detect my tv card
Summary: Kudzu doesn't detect my tv card
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-03 11:13 UTC by drago01
Modified: 2014-03-17 02:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 18:32:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (8.43 KB, text/plain)
2004-10-04 16:15 UTC, drago01
no flags Details
patch for pci.c (489 bytes, text/plain)
2004-10-04 16:43 UTC, Bill Nottingham
no flags Details

Description drago01 2004-10-03 11:13:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I have installed a Pinnacle PCTV Stereo (saa7134) tv card and kudzu
haven't detected it on boot. I had to manually load saa7134 to get it
working. 

Version-Release number of selected component (if applicable):
kudzu-1.1.68.2-1

How reproducible:
Always

Steps to Reproduce:
1. install a pinnacle pctv stereo card
2. boot with kudzu enabled
    

Actual Results:  kudzu does not detect the card and configure it

Expected Results:  kudzu should detect the card and configure it

Additional info:

hwdata:
hwdata-0.120-1

Comment 1 Bill Nottingham 2004-10-04 03:43:29 UTC
lspci output?

Comment 2 drago01 2004-10-04 16:15:07 UTC
Created attachment 104726 [details]
lspci output

the output of lspci -vv

Comment 3 Bill Nottingham 2004-10-04 16:37:25 UTC
Does the output of 'kudzu -p -b pci' show a
class: OTHER
device mapped to the saa1734 driver?

Comment 4 Bill Nottingham 2004-10-04 16:37:52 UTC
(Make that saa7134, of course.)

Comment 5 drago01 2004-10-04 16:39:57 UTC
yes it does:
class: OTHER
bus: PCI
detached: 0
driver: saa7134
desc: "Philips Semiconductors|SAA7134"
vendorId: 1131
deviceId: 7134
subVendorId: 11bd
subDeviceId: 002b
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  7
pcifn:  0


Comment 6 Bill Nottingham 2004-10-04 16:42:58 UTC
A fix added in CVS, will be in 1.1.93-1.

Comment 7 drago01 2004-10-04 16:43:57 UTC
will this fix be in a fc2 update or will it only be in fc3 ?

Comment 8 Bill Nottingham 2004-10-04 16:43:59 UTC
Created attachment 104727 [details]
patch for pci.c

Here's the patch, it allows more classes to be mapped to CLASS_CAPTURE.

Comment 9 Bill Nottingham 2004-10-04 16:52:14 UTC
Probably only in FC3.

Comment 10 Matthew Miller 2005-04-26 15:06:53 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 11 drago01 2005-04-28 18:43:05 UTC
I just want to add that this problem has never existed in FC3 ;)


Note You need to log in before you can comment on or make changes to this bug.